﻿@using Jumbula.Common.Helper
@using Jumbula.Web.WebLogic.UserService
@model SportsClub.Models.Register.RegisterProgramModel
@{
    Layout = null;
}
<div class="row-fluid">
    <div class="col-xs-12 col-sm-8 col-md-9 col-lg-8 bg">
        @if (this.GetCurrentRequestType() == RequestType.NotBranded)
        {
            <a href="/@Model.ClubDomain" title="ClubName">
                <img itemprop="image" id="programLogo" class="pull-left" src="@Model.ClubLogoUrl" alt="New Event">
            </a>
        }
        <h1 class="ellipsis" title="@Model.ProgramName">@Model.ProgramName</h1>
        <address class="jbi-map-pin ellipsis" title="@Model.ClubAddress">@StringHelper.JoinStringList(new string[] { Model.LocationName, Model.ClubAddress }, ", ")</address>
    </div>
    <div class="col-xs-12 col-sm-4 col-md-3 col-lg-4 bg">
        <div id="callMap" class="hidden-xs hidden-sm hidden-md">
            <a href="#" data-target="#MapModal" data-toggle="modal">
                <i class="jbi-map-pin"></i>
            </a>
        </div>
        <div id="dates">
            <div class="start">
                <span class="month">@Model.ProgramStartDate.ToString("MMM")</span>
                <span class="day">@Model.ProgramStartDate.ToString("dd")</span>
                <span class="year">@Model.ProgramStartDate.ToString("yyyy")</span>
            </div>
            <div class="end">
                <span class="month">@Model.ProgramEndDate.ToString("MMM")</span>
                <span class="day">@Model.ProgramEndDate.ToString("dd")</span>
                <span class="year">@Model.ProgramEndDate.ToString("yyyy")</span>
            </div>
        </div>
        <div class="clearfix"></div>
    </div>
    <div class="clearfix"></div>
</div>